Bug 176676 - spec file Requires tag: "or" in expressions
spec file Requires tag: "or" in expressions
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-29 08:42 EST by Andreas Gruenbacher
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-30 12:57:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Gruenbacher 2005-12-29 08:42:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.2 (like Gecko)

Description of problem:
According to how I read the documentation, chapter 22.1.3. "Dependency tags" 
at http://fedora.redhat.com/docs/drafts/rpm-guide-en/ch-specfile-syntax.html 
says that RPM supports the following syntax: 
 
  Requires: perl(IO-Wrap) == 4.5 or perl(IO-Wrap)-4.5 
 
this does not actually seem to be the case. May I please ask for 
clarification: is this a planned feature that didn't get implemented yet, or 
is the documentation wrong? 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Add the above Requires tag to a spec file 
2. Build the spec file 
3. Observe the resulting requires with ``rpm -qp --requires'' or similar. 

Actual Results:  The package ends up with three requirements, which obviously makes no sense: 
  perl(IO-Wrap) == 4.5 
  or 
  perl(IO-Wrap)-4.5  

Expected Results:  An "either A or B" kind of requirement. 

Additional info:
Comment 1 Jeff Johnson 2005-12-30 12:57:31 EST
rpm does not support aletrnation (i.e. ||) of requires, never has. No current plans (or need) to add the 
functionality.

Either the doco you are reading is incorrect, or you are not reading correctly.
Comment 2 Michael Jennings (KainX) 2005-12-30 19:16:30 EST
I would ask that you reconsider adding such a feature.  Nothing currently
supported allows this functionality, as discussed in the following thread:

https://www.redhat.com/archives/rpm-list/2005-November/thread.html#00040

Being able to specify a logical-OR would solve numerous common issues such as
capitalization problems (e.g., MySQL-devel vs. mysql-devel), naming convention
discrepencies (gtk+ vs. gtk1 vs. gtk), and so forth.

If I were to open an RFE for such a feature, would it be considered?  Or is this
bug considered the RFE?  (It seems more like a "documentation error" report to me.)

Thanks!

Note You need to log in before you can comment on or make changes to this bug.